package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsStoreOrderDf;

/**
 * 订单代服管家Mapper接口
 * 
 * @author fs
 * @date 2025-07-08
 */
public interface FsStoreOrderDfMapper extends BaseMapper<FsStoreOrderDf>{
    /**
     * 查询订单代服管家
     * 
     * @param orderId 订单代服管家主键
     * @return 订单代服管家
     */
    FsStoreOrderDf selectFsStoreOrderDfByOrderId(Long orderId);

    /**
     * 查询订单代服管家列表
     * 
     * @param fsStoreOrderDf 订单代服管家
     * @return 订单代服管家集合
     */
    List<FsStoreOrderDf> selectFsStoreOrderDfList(FsStoreOrderDf fsStoreOrderDf);

    /**
     * 新增订单代服管家
     * 
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    int insertFsStoreOrderDf(FsStoreOrderDf fsStoreOrderDf);

    /**
     * 修改订单代服管家
     * 
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    int updateFsStoreOrderDf(FsStoreOrderDf fsStoreOrderDf);

    /**
     * 删除订单代服管家
     * 
     * @param orderId 订单代服管家主键
     * @return 结果
     */
    int deleteFsStoreOrderDfByOrderId(Long orderId);

    /**
     * 批量删除订单代服管家
     * 
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsStoreOrderDfByOrderIds(Long[] orderIds);
}
